Org settings, dashboards & reporting

Get Fireblocks Vault Balances

Returns per-asset totals, available balances and deposit addresses of the org's Fireblocks vault.

GEThttps://api.toku.com/tga/get-fireblocks-vault-balances

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/tga/get-fireblocks-vault-balances' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "balances": [
    {
      "assetId": "string",
      "currencyCode": "string",
      "total": "string",
      "available": "string",
      "address": "string"
    }
  ],
  "addresses": {}
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
balancesarray | nullrequired
Show child attributes
assetIdstringrequired
currencyCodestringrequired
totalstringrequired
availablestringrequired
addressstringrequired
addressesobject | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits